summaryrefslogtreecommitdiff
path: root/functions
diff options
context:
space:
mode:
Diffstat (limited to 'functions')
-rwxr-xr-xfunctions/defaults.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/functions/defaults.sh b/functions/defaults.sh
index 13399c3..79993f0 100755
--- a/functions/defaults.sh
+++ b/functions/defaults.sh
@@ -440,6 +440,12 @@ Set_defaults ()
if [ -z "${LH_LINUX_FLAVOURS}" ]
then
case "${LH_ARCHITECTURE}" in
+ arm|armel)
+ Echo_error "There is no default kernel flavour defined for your architecture."
+ Echo_error "Please configure it manually with 'lh config -k FLAVOUR'."
+ exit 1
+ ;;
+
alpha)
case "${LH_MODE}" in
ubuntu)
@@ -530,11 +536,6 @@ Set_defaults ()
LH_LINUX_FLAVOURS="sparc64"
;;
- arm|armel|m68k)
- Echo_error "You need to specify the linux kernel flavour manually on ${LH_ARCHITECTURE} (FIXME)."
- exit 1
- ;;
-
*)
Echo_error "Architecture ${LH_ARCHITECTURE} not yet supported (FIXME)"
exit 1